*vi bruker datasettet "data2901-Norway". Dette er ett datasett vi har fått fra foreleseren (Bjarne Strøm) i bachelor faget på samfunnsøkonomi ved NTNU 2020. Det inneholder data fra 2001 PIRLS undersøkelsen for Norge. 

*først så må vi kode om variablene vi skal bruke sånn at de passer til vårt formål

*lager dummyvariabel for om man har over 100 bøker i hjemmet. 0=mindre enn 100 bøker, 1=over hundre bøker.
gen bøker100=0 if books_home!=.
replace bøker100=1 if books_home>3

*lager dummyvariabel for om foreldrene har universitetsutdanning. 0=ikke universitetsutdanning, 1=universitetsutdanning.
gen universitet=0 if par_edu!=.
replace universitet=1 if par_edu==1

*lager en dummyvariabel for om foreldre arbeider fulltid. 0=begge jobber ikke fulltid, 1=begge jobber fulltid
gen fulltid2=0 if par_emp!=.
replace fulltid2=1 if par_emp==1

*lager en dummyvariabel for at en (og ikke begge) av foreldre jobber fulltid. 0 = false, 1=true
gen fulltid1=0 if par_emp!=.
replace fulltid1=1 if par_emp==2

*lager en dummyvariabel for at begge foreldre jobber mindre enn fulltid(deltid). 0=begge foreldrne jobber ikke deltid (false) 1=begge jobber deltid(true)
gen deltid=0 if par_emp!=.
replace deltid=1 if par_emp==3

*lager en dummyvariabel for at man alltid snakker norsk i hjemmet. 0=man snakker ikke alltid norsk, 1=snakker alltid norsk i hjemmet
gen norskHjemme=0 if speak_testlang_home!=.
replace norskHjemme=1 if speak_testlang_home==1

*lager en dummyvariabel for at man alltid snakker norsk i hjemmet. 0=man snakker ikke alltid norsk, 1=snakker alltid norsk i hjemmet
gen noeNorsk=0 if speak_testlang_home!=.
replace noeNorsk=1 if speak_testlang_home==2

*vi koder om resten av variablene vre til å ta norske navn
gen leseresult = read

gen utlandForldr = par_not_born

gen utlandStud = not_born

gen barnehage = kinderg_att

gen inntekt = income

gen jente = girl

*vi starter analysen vår med å få opp deskriptiv statistikk for vår avhengige varuabel
sum leseresult

*lager et histogram over fordelingen til variabelen "leseresult"
hist leseresult

*kjører deskriptiv statistikk for hovedforklaringsvariabelen
sum utlandForldr
*outsum using deskriptivHovedforklaringsvariabel.doc

*kjører deskriptiv statistikk for kontrollvariablene våre
sum utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 norskHjemme noeNorsk inntekt 

*viser en fordeling over de ulike kategoriene for inntekt
tab inntekt

*viser en enkel korrelasjonsmatrise mellom alle variablene vi har i hovedmodellen vår. 
corr leseresult utlandForldr utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 norskHjemme noeNorsk inntekt 

*kjører en veldig enkel regresjon hvor vi kun ser på vår avhengige og vår uavhengige variabel
reg leseresult utlandForldr

*regresjon for modell II
reg leseresult utlandForldr utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 inntekt
  
*f-test for fulltid2, fulltid1 og deltid
test fulltid2 fulltid1 deltid

*regresjon med hele modellen vår. Her har vi med kontrollvariablene våre for å kontrollere for andre faktore og unngå "ommitted variabel bias"
reg leseresult utlandForldr utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 norskHjemme noeNorsk inntekt

*f-test for norskHjemme og noeNorsk
test norskHjemme noeNorsk 

*lager et samspillsledd for å teste ut utvidet problemstilling
gen jenteXutlandForldr = girl*par_not_born

*kjører en regresjon i modell I, II og III hvor vi legger til variabelen "jente" og samspillleddet vårt. 

reg leseresult utlandForldr jente jenteXutlandForldr

reg leseresult utlandForldr jente jenteXutlandForldr utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 inntekt 

reg leseresult utlandForldr jente jenteXutlandForldr utlandStud barnehage universitet fulltid2 fulltid1 deltid bøker100 norskHjemme noeNorsk inntekt 
